@import url("https://fonts.googleapis.com/css?family=Fira+Sans&display=swap");

svg {
  height: 1em;
}

* {
  scrollbar-color: var(--accent) var(--background);
  scrollbar-width: thin;
}
::-webkit-scrollbar-thumb {
  background-color: var(--accent);
}

img {
  border-top-left-radius: 12px;
  border-bottom-left-radius: 12px;
}

h1 {
  display: flex;
  align-items: center;
}

h1 > i {
  margin-left: 0.7rem;
}

a {
  color: var(--accent);
  cursor: pointer;

  text-decoration: none;
  border: none;
  transition-property: color;
  transition-duration: 0.3s;
  transition-timing-function: ease-out;

  transition: 150ms filter;
  &:hover {
    filter: brightness(1.25);
    @media (prefers-color-scheme: light) {
      filter: brightness(0.8);
    }
  }
}

/* Webkit Scrollbar Customize */
::-webkit-scrollbar {
  width: 8px;
  height: 8px;
  background: var(--midnightblue);
}

html {
  background: var(--background);
  line-height: 1.4;
  letter-spacing: 0.6px;
  scroll-behavior: smooth;
}

blockquote {
  border-left: 0.25em solid;
  margin: 1em;
  padding: 0 1em;
}

blockquote cite {
  font-weight: bold;
  font-style: normal;
}

blockquote cite::before {
  content: "—— ";
}

hr {
  opacity: 45%;
  border-width: 0 0 4px 0;
  border-style: dashed;
  width: 85%;
  margin: 1.8em auto;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
  empty-cells: show;
  width: 100%;
  max-width: 100%;
  overflow: scroll;
}

table th,
table td {
  padding: 1.5%;
  border: 1px solid;
}

table th {
  font-weight: 700;
  vertical-align: bottom;
}

iframe {
  width: 100%;
  height: 560px;
  border: none;
  overflow: hidden;
}

.section-inner {
  margin: 0 auto;
  max-width: 1200px;
  width: 93%;
}

.feather {
  width: 1em;
  height: 1em;
}

.sub-menu {
  font-size: 0.7em;
}

.highlight {
  position: relative;
}

.highlight pre {
  padding-right: 75px;
}

.highlight-copy-btn {
  position: absolute;
  bottom: 7px;
  right: 7px;
  border: 0;
  border-radius: 4px;
  padding: 1px;
  font-size: 0.7em;
  line-height: 1.8;
  color: #fff;
  background-color: #777;
  opacity: 0.6;
  min-width: 55px;
  text-align: center;
}

.highlight-copy-btn:hover {
  background-color: #666;
}

#site-header {
  position: fixed;
  z-index: 1;
  top: 0;
  left: calc(50% - 630px / 2);
  width: 630px;
  max-width: 100vw;
  border-bottom-right-radius: 10px;
  border-bottom-left-radius: 10px;
  box-sizing: border-box;
  box-shadow: var(--primary-shadow);
  background-color: var(--foreground);
}

#menu-btn {
  display: none;
  margin-right: 1em;
  cursor: pointer;
}

#site-footer {
  text-align: center;
  font-size: 0.9em;
  margin-bottom: 96px;
  margin-top: 64px;
}

#site-footer p {
  margin: 0;
}

#spotlight-404 {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin: auto;

  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  flex-direction: row;
  line-height: normal;

  p.img-404 {
    margin: 0;
  }

  svg {
    width: 180px;
    max-width: 100%;
    height: auto;
  }
}

.banner-404 {
  margin-left: 2em;
}

.banner-404 h1 {
  font-size: 3rem;
  margin: 0.5rem 0;
}

.banner-404 p {
  font-size: 1rem;
  margin-top: 0;
}

.posts-group {
  display: flex;
  margin-bottom: 1.9em;
  line-height: normal;
}

.posts-group .post-year {
  padding-top: 0.5em;
  padding-bottom: 0.5em;
  // margin-right: 1.8em;
  font-size: 1.6em;
  width: 6em;
}

.posts-group .post-description {
  font-size: 1em;
  width: 8em;
  margin-right: 1em;
}

.posts-group .posts-list {
  flex-grow: 1;
  margin: 0;
  padding: 0;
  list-style: none;
}

.posts-group .post-item {
  border-bottom: 1px var(--highlight-grey) dashed;
}

.posts-group .post-item a {
  display: flex;
  justify-content: space-between;
  align-items: baseline;
  padding: 12px 0;
}

.posts-group .post-day {
  flex-shrink: 0;
  /* margin-left: 1em; */
}

.post-header {
  margin-top: 1.2em;
  line-height: normal;
}

.post-header h1 {
  margin-top: 0.1em;
  letter-spacing: 0px;
}

hr.post-end {
  width: 50%;
  margin-top: 1.6em;
  margin-bottom: 0.8em;
  margin-left: 0;
  border-style: solid;
  border-bottom-width: 4px;
}

.content {
  // text-align: justify;
  text-justify: inter-ideograph;
}

.content img,
.content video {
  display: block;
  max-width: 100%;
  height: auto;
  margin: auto;
  border-radius: 14px;
  box-shadow: var(--secondary-shadow);
}

.content ul,
.content ol {
  padding: 0;
  margin-left: 1.8em;
}

.content a.anchor {
  float: left;
  margin-left: -20px;
  padding-right: 6px;
  /*box-shadow: none;
   */
  opacity: 0.8;
}

.content a.anchor:hover {
  background: none;
  color: #018574;
  opacity: 1;
}

.content a.anchor svg {
  display: inline-block;
  width: 14px;
  height: 14px;
  vertical-align: baseline;
  visibility: hidden;
}

.content a.anchor:focus svg {
  visibility: visible;
}

.content h1:hover a.anchor svg,
.content h2:hover a.anchor svg,
.content h3:hover a.anchor svg,
.content h4:hover a.anchor svg,
.content h5:hover a.anchor svg,
.content h6:hover a.anchor svg {
  visibility: visible;
}

.footnotes {
  font-size: 0.85em;
}

.footnotes a {
  box-shadow: none;
  text-decoration: underline;
  transition-property: color;
}

.footnotes a:hover {
  background: transparent;
}

.footnotes a.footnote-return {
  text-decoration: none;
}

.footnotes ol {
  line-height: 1.8;
}

.footnote-ref a {
  box-shadow: none;
  text-decoration: none;
  padding: 2px;
  border-radius: 2px;
  background-color: var(--midnightblue);
}
#TableOfContents {
  font-size: 0.925em;
}

.related-posts {
  padding: 0.8em;
  margin-top: 1.5em;
  font-size: 0.925rem;
  border: 3px dashed rgba(255, 255, 255, 0.2);
  border-radius: 5px;

  h2 {
    margin: 0;
    line-height: normal;
  }
  ul {
    margin-top: 0.5em;
    margin-bottom: 0;
  }
}

.site-main {
  background-color: var(--foreground);
  padding: 20px var(--site-main-padding-sides);
  box-shadow: var(--primary-shadow);
  border-bottom-left-radius: 20px;
  border-bottom-right-radius: 20px;
  width: 960px;
  max-width: calc(100% - 80px);
  overflow: hidden;
  @media (min-width: $resolution-tiny) {
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
  }
  position: relative;
}

#site-main-home {
  margin-top: 30px;
  border-top-left-radius: 20px;
  border-top-right-radius: 20px;
}

#modal {
  z-index: 10;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.45);

  img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 15px;
    max-height: 90vh;
    max-width: 90vw;
    object-fit: contain;

    box-shadow: var(--primary-shadow);
  }
}

.single_actions {
  color: var(--text);
  transition: 200ms color;
  &:hover {
    color: var(--accent);
    filter: none;
  }
}
